//静态表格
layui.use('table',function(){
    var table = layui.table;
    //转换静态表格
    table.init('mylist', {
        height: 'full-130' //高度最大化减去差值,也可以自己设置高度值：如 height:300
        ,count: 50 //数据总数 服务端获得
        ,limit: 5 //每页显示条数 注意：请务必确保 limit 参数（默认：10）是与你服务端限定的数据条数一致
        ,page:true //开启分页
        ,toolbar: '#toolbarDemo'//工具栏
        ,defaultToolbar:['filter', 'exports']
        ,limits:[ 5, 10, 15, 20, 30, 50]//分页显示每页条目下拉选择
        ,cellMinWidth: 60//定义全局最小单元格宽度，其余自动分配宽度
    });
    //监听行工具事件
    table.on('tool(mylist)', function(obj){ //注：tool 是工具条事件名，mylist 是 table 原始容器的属性 lay-filter="对应的值"
        var data = obj.data //获得当前行数据
            ,layEvent = obj.event; //获得 lay-event 对应的值
        if(layEvent === 'del'){
            layer.confirm('真的删除行么', function(index){
                obj.del(); //删除对应行（tr）的DOM结构
                layer.close(index);
                //向服务端发送删除指令
            });
        } else if(layEvent === 'edit'){
            alert(layEvent);
            layer.msg('修改操作');
        }
    });
    //监听头工具栏事件
    table.on('toolbar(mylist)', function(obj){
        var checkStatus = table.checkStatus(obj.config.id)
            ,data = checkStatus.data; //获取选中的数据
        /* switch(obj.event){
        case 'getCheckLength':
            if(data.length === 0){
            layer.msg('请选择一行');
            } else {
            layer.msg('删除');
            }
        break;
        }; */
    });
});
//  iframe层  详情信息
function add(btype){
    //iframe层
    layer.open({
        type: 2,//层类型
        title: "添加",//标题
        closeBtn: 1, //不显示关闭按钮
        shade: [0.3],//遮罩
        skin: 'demo_class_color',//iframe皮肤
        shadeClose:Boolean,//点击遮罩关闭
        area: ['900px', '460px'],
        // offset: 'rb', //右下角弹出
        // time: 2000, //2秒后自动关闭
        anim: 5,//动画
        content: [btype, 'yes'], //iframe的url，no代表不显示滚动条
    });

}

/*用户-添加*/
$('#member_add').on('click', function(){
    layer.open({
        type: 1,
        title: '添加用户',
        maxmin: true,
        shadeClose: true, //点击遮罩关闭层
        area : ['800px' , ''],
        content:$('#add_menber_style'),
        //btn:['提交','取消'],
        yes:function(index,layero){
            var num=0;
            var str="";
            $(".add_menber input[type$='text']").each(function(n){
                if($(this).val()=="")
                {

                    layer.alert(str+=""+$(this).attr("name")+"不能为空！\r\n",{
                        title: '提示框',
                        icon:0,
                    });
                    num++;
                    return false;
                }
            });
            if(num>0){  return false;}
            else{
                return true;
                /* layer.alert('添加成功！',{
                 title: '提示框',
              icon:1,
                }); */
                layer.close(index);
            }
        }
    });
});
/*用户-查看*/
function member_show(title,url,id,w,h){
    layer_show(title,url+'#?='+id,w,h);
}
/*用户-停用*/
function member_stop(obj,id){
    layer.confirm('确认要停用吗？',function(index){
        $(obj).parents("tr").find(".td-manage").prepend('<a style="text-decoration:none" class="btn btn-xs " onClick="member_start(this,id)" href="javascript:;" title="启用"><i class="icon-ok bigger-120"></i></a>');
        $(obj).parents("tr").find(".td-status").html('<span class="label label-defaunt radius">已停用</span>');
        $(obj).remove();
        layer.msg('已停用!',{icon: 5,time:1000});
    });
}

/*用户-启用*/
function member_start(obj,id){
    layer.confirm('确认要启用吗？',function(index){
        $(obj).parents("tr").find(".td-manage").prepend('<a style="text-decoration:none" class="btn btn-xs btn-success" onClick="member_stop(this,id)" href="javascript:;" title="停用"><i class="icon-ok bigger-120"></i></a>');
        $(obj).parents("tr").find(".td-status").html('<span class="label label-success radius">已启用</span>');
        $(obj).remove();
        layer.msg('已启用!',{icon: 6,time:1000});
    });
}
/*用户-编辑*/
function member_edit(id){
    layer.open({
        type: 1,
        title: '修改用户信息',
        maxmin: true,
        shadeClose:false, //点击遮罩关闭层
        area : ['800px' , ''],
        content:$('#add_menber_style'),
        btn:['提交','取消'],
        yes:function(index,layero){
            var num=0;
            var str="";
            $(".add_menber input[type$='text']").each(function(n){
                if($(this).val()=="")
                {

                    layer.alert(str+=""+$(this).attr("name")+"不能为空！\r\n",{
                        title: '提示框',
                        icon:0,
                    });
                    num++;
                    return false;
                }
            });
            if(num>0){  return false;}
            else{
                layer.alert('添加成功！',{
                    title: '提示框',
                    icon:1,
                });
                layer.close(index);
            }
        }
    });
}
/*用户-删除*/
//单个删除
function del(id,mid,iscid){
    if(confirm("您确定要删除吗?")){
        return true;
    }else{
        return false;
    }
}
function member_del(obj,id){
    layer.confirm('确认要删除吗？',function(index){
        $(obj).parents("tr").remove();
        layer.msg('已删除!',{icon:1,time:1000});
    });
}